# Sound

## Sound

클라이언트에서 사용되는 Sound 개체에요.

### **속성**

<br>

| **SoundID** |
| ----------- |

Sound에 설정된 Source ID 에요.

\-- 샘플 --

```lua
local Sound = Workspace.Sound

Sound.SoundID = 11800
```

<br>

| **Volume** |
| ---------- |

Sound의 음량이에요.

\-- 샘플 --

```lua
local Sound = Workspace.Sound

Sound.Volume = 0.5
```

<br>

| **Pitch** |
| --------- |

Sound의 음 높이에요.

\-- 샘플 --

````lua
local Sound = Workspace.Sound

Sound.Pitch = 1.5
var float Priority
** Sound의 재생 우선 순위에요.
샘플
```lua
</br>

| **IsLoop** |
| :--- |

Sound를 설정한 횟수만큼 반복 재생할지 여부에요.

-- 샘플 --
```lua
local Sound = Workspace.Sound

Sound.IsLoop = true
````

<br>

| **IsInfinityLoop** |
| ------------------ |

Sound를 무한 반복 재생할지 여부에요.

\-- 샘플 --

```lua
local Sound = Workspace.Sound

Sound.IsInfinityLoop = false
```

<br>

| **LoopCount** |
| ------------- |

Sound의 반복 횟수에요.

\-- 샘플 --

```lua
local Sound = Workspace.Sound

Sound.LoopCount = 3
```

<br>

| **IsAutoPlay** |
| -------------- |

Sound를 자동 재생할지 여부에요.

\-- 샘플 --

```lua
local Sound = Workspace.Sound

Sound.IsAutoPlay = false
```

<br>

| **Is3D** |
| -------- |

Sound를 3D로 재생할지 여부에요.

\-- 샘플 --

```lua
local Sound = Workspace.Sound

Sound.Is3D = true
```

<br>

| **InnerRadius** |
| --------------- |

3D로 설정된 Sound의 소리 반경이에요.

\-- 샘플 --

```lua
local Sound = Workspace.Sound

Sound.Is3D = true
Sound.InnerRadius = 1000
```

<br>

| **FalloffDistance** |
| ------------------- |

3D로 설정된 Sound의 감쇠 반경이에요.

\-- 샘플 --

```lua
local Sound = Workspace.Sound

Sound.Is3D = true
Sound.FalloffDistance = 600
```

### **함수**

<br>

| **void Play()** |
| --------------- |

Sound를 플레이할 수 있어요.

\-- 샘플 --

```lua
local sound = Workspace.Sound
sound:Play() --사운드를 재생해요
```

<br>

| **void Pause()** |
| ---------------- |

Sound를 일시 정지시켜요.

\-- 샘플 --

```lua
local sound = Workspace.Sound
sound:Pause() --사운드를 일시 정지해요
```

<br>

| **void Stop()** |
| --------------- |

Sound를 정지시켜요.

\-- 샘플 --

```lua
local sound = Workspace.Sound
sound:Stop() --사운드를 정지해요
```

<br>

| **bool IsPlaying()** |
| -------------------- |

Sound가 플레이 중인지 판별할 수 있어요.

\-- 샘플 --

```lua
local sound = Workspace.Sound
sound:Play()
print(sound:IsPlaying())
```

<br>

| **bool IsPause()** |
| ------------------ |

Sound가 일시 중지 중인지 판별할 수 있어요.

\-- 샘플 --

```lua
local sound = Workspace.Sound
sound:Pause()
print(sound:IsPause())
```

\ <br>

## **사용 가능한 부모 오브젝트 기능들**

### **속성**

| **이름**                                                                                             | **설명**                  |
| -------------------------------------------------------------------------------------------------- | ----------------------- |
| [**Enable**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)         | **객체 활성화 여부**           |
| [**Transform**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)      | **객체의 Matrix**          |
| [**LocalTransform**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject) | **객체의 Local Transform** |
| [**Location**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)       | **객체의 위치 Vector**       |
| [**LocalLocation**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)  | **객체의 로컬좌표 Vector**     |
| [**Rotation**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)       | **객체의 회전 Vector**       |
| [**LocalRotation**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)  | **객체의 로컬 회전 Vector**    |
| [**Scale**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)          | **객체의 크기 Vector**       |
| [**Visible**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)        | **객체의 가시성**             |

### **이벤트**

| **이름**                                                                                             | **설명**                                                                                                                       |
| -------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------- |
| [**OnUpdateEvent**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)  | <p><strong>생성 후 매 프레임마다 호출되는 이벤트에요.</strong><br><strong>연결함수 형식은 function(updateTime), updateTime 은 number 입니다.</strong></p> |
| [**OnDestroyEvent**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject) | <p><strong>삭제될 때 호출되는 이벤트에요.</strong><br><strong>연결함수 형식은 function() 입니다.</strong></p>                                       |
| [**OnEnableEvent**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)  | <p><strong>Enable 될때 호출되는 이벤트에요.</strong><br><strong>연결함수 형식은 function() 입니다.</strong></p>                                   |
| [**OnDisableEvent**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject) | <p><strong>Disable 될때 호출되는 이벤트에요.</strong><br><strong>연결함수 형식은 function() 입니다.</strong></p>                                  |

### **함수**

| **이름**                                                                                                                  | **설명**                                                                                        |
| ----------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------- |
| [**GetKey**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)                              | **객체의 키 값을 얻을 수 있어요.**                                                                        |
| [**SetTransformWithCollisionCheck**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)      | **현재 매트릭스에서 설정 된 매트릭스로 보간이 되는 매트릭스를 설정할 수 있어요 설정할 수 있어요. (Matrix 값, bool 충돌 처리 여부)**          |
| [**SetLocalTransformWithCollisionCheck**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject) | **현재 매트릭스에서 설정 된 매트릭스로 보간이 되는 매트릭스를 로컬좌표기준으로 설정할 수 있어요 설정할 수 있어요. (Matrix 값, bool 충돌 처리 여부)** |
| [**Teleport**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)                            | **순간이동 하는 매트릭스를 설정할 수 있어요. (Matrix 값)**                                                       |
| [**SetLocationWithCollisionCheck**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)       | **객체의 위치를 설정할 수 있어요. (설정할 위치 Vector 값, 충돌 처리 여부)**                                            |
| [**SetTag**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)                              | **객체의 tag를 설정해요. (설정할 tag)**                                                                  |
| [**GetTag**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)                              | **객체에 설정된 tag를 얻을 수 있어요.**                                                                    |
| [**ConnectEventFunction**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)                | **유저가 추가한 오브젝트 커스텀 이벤트에 함수를 연결할 수 있어요. (이벤트 이름, 연결 함수)**                                      |
| [**LookAt**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/worldobject)                              | **오브젝트가 해당하는 위치를 바라보게 할 수 있어요. (바라볼 위치 Vector)**                                              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/sound.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
